#ifndef MY_LIB_H
	#define MY_LIB_H

	#include <errno.h>
	#include <stdio.h>

	#ifndef EXPOSE_ME
		#ifdef __unix
			#define EXPOSE_ME	extern
		#elif defined(_WIN32)
			#ifdef BUILD_DLL
				#define EXPOSE_ME	__declspec(dllexport)
			#elif (defined(BUILD_LIBRARY) || defined(USE_LIBRARY))
				#define EXPOSE_ME	extern
			#else
				#define EXPOSE_ME	__declspec(dllimport)
			#endif
		#endif
	#endif

	#ifdef __cplusplus
		extern "C" {
	#endif

	EXPOSE_ME int Greeting(FILE *outputStream);

	#ifdef __cplusplus
		}
	#endif
#endif

